%MYMUL		8-bit multiplication
%		MYMUL(A, B) implements multiplication of two 8-bit fractional
%		numbers. Product of two 8-bit numbers is a 16-bit number. 
%		This function returns the upper 8 bits of the 16-bit product.

% Copyright (c) 1998-1999 The University of Texas
% All rights reserved.
% See the file COPYRIGHT for copyright notice, limitation
% of liability, and disclaimer of warranty provisions.

function x=mymul(a,b);

x=floor((a*b)/256);			% Multiply & extract the upper 8 bits
